Bug 1473938 - xrdp terminates connection
xrdp terminates connection
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xrdp (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-22 11:28 EDT by Rob Thomas
Modified: 2017-12-12 05:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:20:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Thomas 2017-07-22 11:28:55 EDT
Description of problem:
xrdp has been running fine. Updated system. Now it'll let me login, fires up the screen and I usually see the desktop for a split second, then the whole screen goes away. I'm using rdesktop as well as mstsc under Windows 10. Same problem. I loaded Ubuntu, xrdp and rdesktop works fine.

I tried Fedora 26. Even fresh install of F26. Same problem.

Version-Release number of selected component (if applicable):
These two go together. I have no idea if it's xrdp or xorgxrdp:

xorgxrdp.x86_64 0.2.2-1.fc26
xrdp.x86_64 1:0.9.2-12.fc26

How reproducible:
Happens every time.

Steps to Reproduce:
1. Install xrdp
2. Open firewall, the normal stuff and start it and set up so it always starts.
3. Fire up rdesktop to the machine. It'll give you the familiar login screen. Login. You should see the normal startup sequence, sometimes as long as 5 seconds. Sometimes if you don't touch anything it'll stay up for a while. Touch the mouse and it'll instantly kill that window.

Actual results:
Window is terminated. Processes continue to run:
robert    1604  1603  4 11:25 ?        00:00:00 /bin/sh /bin/startkde
robert    1605  1603  5 11:25 ?        00:00:00 Xvnc :11 -auth .Xauthority -geometry 2460x1340 -depth 24 -rfbauth /home/robert/.vnc/sesman_robert_passwd:11 -bs -nolisten tcp -localhost -dpi 96
robert    1607  1603  0 11:25 ?        00:00:00 /usr/sbin/xrdp-chansrv
robert    1674  1175  1 11:25 ?        00:00:00 /usr/bin/dbus-daemon --session --address=systemd: --nofork --nopidfile --systemd-activation --syslog-only
robert    1744  1175  1 11:25 ?        00:00:00 /usr/libexec/imsettings-daemon
robert    1801  1604  0 11:25 ?        00:00:00 /usr/bin/ssh-agent /etc/X11/xinit/Xclients
robert    1812     1 24 11:25 ?        00:00:00 ksplashqml Breeze --pid


Expected results:
Window stays up, you are allowed to use the desktop.

Additional info:
From what I can remember, this problem appeared around 6/15. I figured it would be fixed quickly. By 6/20 I was adding the selinux package and such trying to fix it. Now I see online that others are having this problem. Looking at the source (I set up a little rpm build env) it looks like additional work has been done on it. Please let me know if I can help with debugging this problem.
Comment 1 Bojan Smojver 2017-07-23 20:54:12 EDT
Do you have this set in /etc/xrdp/sesman.ini when you're running the VNC session:

param=-AcceptCutText=0
param=-SendCutText=0
param=-SendPrimary=0
param=-SetPrimary=0
Comment 2 Rob Thomas 2017-07-23 21:26:46 EDT
I put this in the global stanza.
Same problem.
Comment 3 Rob Thomas 2017-07-23 21:27:35 EDT
I should have supplied more info. I put that in the global stanza, rebooted the machine, tried it again. Same problem.
Comment 4 Bojan Smojver 2017-07-23 21:29:48 EDT
From README.Fedora file:

TigerVNC >= 1.8.0
=================

TigerVNC 1.8.0 enables clipboard support by default (i.e. no need to run
vncconfig), which may cause disconnections in xrdp. To avoid the issue, these
can be added to [Xvnc] stanza in /etc/xrdp/sesman.ini:

param=-AcceptCutText=0
param=-SendCutText=0
param=-SendPrimary=0
param=-SetPrimary=0

Of course, cut and paste support will not work with these set.

So, this should be in the Xvnc stanza. Basically, Xvnc should start with those parameters. You should see those when your run ps.
Comment 5 Rob Thomas 2017-07-23 21:47:42 EDT
Now it doesn't terminate the window. I get the 3 dots and the >, then it comes up with the desktop background and that's where it stays. I can't start an xterm or anything else. The activity list is a whole lot better:
[root@test2 ~]# ps -ef | grep robert
robert    1228     1  0 21:43 ?        00:00:00 /usr/lib/systemd/systemd --user
robert    1230  1228  0 21:43 ?        00:00:00 (sd-pam)
robert    1236  1235  0 21:43 ?        00:00:00 /bin/sh /bin/startkde
robert    1237  1235 10 21:43 ?        00:00:17 Xvnc :11 -auth .Xauthority -geometry 2460x1340 -depth 24 -rfbauth /home/robert/.vnc/sesman_robert_passwd:11 -bs -nolisten tcp -localhost -dpi 96 -AcceptCutText=0 -SendCutText=0 -SendPrimary=0 -SetPrimary=0
robert    1239  1235  1 21:43 ?        00:00:01 /usr/sbin/xrdp-chansrv
robert    1304  1228  0 21:43 ?        00:00:00 /usr/bin/dbus-daemon --session --address=systemd: --nofork --nopidfile --systemd-activation --syslog-only
robert    1374  1228  0 21:43 ?        00:00:00 /usr/libexec/imsettings-daemon
robert    1431  1236  0 21:43 ?        00:00:00 /usr/bin/ssh-agent /etc/X11/xinit/Xclients
robert    1464     1  0 21:43 ?        00:00:00 /usr/libexec/kf5/start_kdeinit --kded +kcminit_startup
robert    1465     1  0 21:43 ?        00:00:00 kdeinit5: Running...
robert    1466  1465  0 21:43 ?        00:00:00 /usr/libexec/kf5/klauncher --fd=9
robert    1469  1465  1 21:43 ?        00:00:01 kded5 [kdeinit5]
robert    1485  1228  0 21:43 ?        00:00:00 /usr/bin/kglobalaccel5
robert    1486     1  0 21:43 ?        00:00:00 kaccess [kdeinit5]
robert    1491  1236  0 21:43 ?        00:00:00 kwrapper5 /usr/bin/ksmserver
robert    1492  1465  0 21:43 ?        00:00:01 /usr/bin/ksmserver
robert    1506  1228  0 21:43 ?        00:00:00 /usr/libexec/dconf-service
robert    1522  1492  8 21:43 ?        00:00:12 kwin_x11
robert    1524  1228  0 21:43 ?        00:00:00 /usr/libexec/kf5/kscreen_backend_launcher
robert    1532  1492  0 21:44 ?        00:00:00 /bin/baloo_file
robert    1533  1492  2 21:44 ?        00:00:03 /bin/krunner
robert    1537  1492  6 21:44 ?        00:00:09 /bin/plasmashell
robert    1538  1492  0 21:44 ?        00:00:00 /usr/libexec/kf5/polkit-kde-authentication-agent-1
robert    1550     1  0 21:44 ?        00:00:00 /usr/bin/vmtoolsd -n vmusr
robert    1559     1  0 21:44 ?        00:00:00 /usr/bin/pulseaudio --start --log-target=syslog
robert    1599  1492  0 21:44 ?        00:00:00 /bin/abrt-applet
robert    1602  1492  0 21:44 ?        00:00:01 /bin/korgac
robert    1605  1492  0 21:44 ?        00:00:00 /usr/libexec/org_kde_powerdevil
robert    1609  1492  0 21:44 ?        00:00:00 /usr/bin/seapplet
robert    1685     1  0 21:44 ?        00:00:00 /usr/bin/kactivitymanagerd start-daemon
robert    1688  1228  0 21:44 ?        00:00:00 /usr/libexec/at-spi-bus-launcher
robert    1706  1688  0 21:44 ?        00:00:00 /bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 3
robert    1731  1228  0 21:44 ?        00:00:00 /usr/libexec/at-spi2-registryd --use-gnome-session
robert    1770     1  0 21:44 ?        00:00:01 /bin/akonadi_control
robert    1811  1770  0 21:44 ?        00:00:00 akonadiserver
robert    1841  1811  0 21:44 ?        00:00:01 /usr/libexec/mysqld --defaults-file=/home/robert/.local/share/akonadi/mysql.conf --datadir=/home/robert/.local/share/akonadi/db_data/ --socket=/tmp/akonadi-robert.auDPJk/mysql.socket --pid-file=/tmp/akonadi-robert.auDPJk/mysql.pid
robert    1903  1770  0 21:44 ?        00:00:00 /bin/akonadi_akonotes_resource --identifier akonadi_akonotes_resource_0
robert    1904  1770  1 21:44 ?        00:00:01 /bin/akonadi_archivemail_agent --identifier akonadi_archivemail_agent
robert    1905  1770  0 21:44 ?        00:00:00 /bin/akonadi_birthdays_resource --identifier akonadi_birthdays_resource
robert    1906  1770  0 21:44 ?        00:00:00 /bin/akonadi_contacts_resource --identifier akonadi_contacts_resource_0
robert    1907  1770  0 21:44 ?        00:00:00 /bin/akonadi_followupreminder_agent --identifier akonadi_followupreminder_agent
robert    1912  1770  0 21:44 ?        00:00:01 /bin/akonadi_ical_resource --identifier akonadi_ical_resource_0
robert    1917  1770  0 21:44 ?        00:00:01 /bin/akonadi_indexing_agent --identifier akonadi_indexing_agent
robert    1924  1770  0 21:44 ?        00:00:00 /bin/akonadi_maildir_resource --identifier akonadi_maildir_resource_0
robert    1926  1770  0 21:44 ?        00:00:00 /bin/akonadi_maildispatcher_agent --identifier akonadi_maildispatcher_agent
robert    1928  1770  1 21:44 ?        00:00:01 /bin/akonadi_mailfilter_agent --identifier akonadi_mailfilter_agent
robert    1929  1770  0 21:44 ?        00:00:00 /bin/akonadi_migration_agent --identifier akonadi_migration_agent
robert    1930  1770  0 21:44 ?        00:00:01 /bin/akonadi_newmailnotifier_agent --identifier akonadi_newmailnotifier_agent
robert    1931  1770  1 21:44 ?        00:00:01 /bin/akonadi_sendlater_agent --identifier akonadi_sendlater_agent
robert    1981  1228  0 21:44 ?        00:00:00 /usr/bin/kuiserver5
robert    1989  1465  0 21:44 ?        00:00:00 desktop.so [kdeinit5] desktop local:/run/user/980200001/klauncherTJ1466.1.slave-socket local:/run/user/980200001/plasmashellTJ1537.1.slave-socket
robert    2000  1465  0 21:44 ?        00:00:00 file.so [kdeinit5] file local:/run/user/980200001/klauncherTJ1466.1.slave-socket local:/run/user/980200001/kio_desktopTJ1989.1.slave-socket
root      2036  1179  0 21:46 pts/0    00:00:00 grep --color=auto robert
Comment 6 Rob Thomas 2017-09-01 19:38:04 EDT
Update. I applied update RPMs and the disconnect problem has gone away. When I re-connect, the screen is black for quite a while, then it'll refresh it as it should. Even with a new install. I wanted to remove any changes I had made. It's right at 23-24 seconds. Never the less, I'll take it! I can use it again.
Comment 7 Fedora End Of Life 2017-11-16 14:52:33 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-12-12 05:20:42 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.